OpenJPEG: query_param Struct Reference

OpenJPEG 2.5.3

Data Fields
query_param Struct Reference

Query parameters. More...

`#include <query_parser.h>`

## Data Fields
char * | target
| target name
char * | tid
| target identifier
int | fx
int | fy
| frame size (fx,fy)
int | rx
int | ry
int | rw
int | rh
| roi region
int | layers
| quality layers
int | lastcomp
| last component number
OPJ_BOOL * | comps
| components (dynamic array) for jpp-stream, null means all components
char * | cid
| channel identifier
cnew_transport_t | cnew
| transport name if there is new channel request, else non
char * | cclose
| list of closing channel identifiers, separated by '\0'
int | numOfcclose
| number of closing channels
char | box_type [MAX_NUMOFBOX][4]
| interested box-types
int | limit [MAX_NUMOFBOX]
| limit value, -1: skeleton request "r", 0: entire contents
OPJ_BOOL | w [MAX_NUMOFBOX]
| Metadata request qualifier flags.
OPJ_BOOL | s [MAX_NUMOFBOX]
OPJ_BOOL | g [MAX_NUMOFBOX]
OPJ_BOOL | a [MAX_NUMOFBOX]
OPJ_BOOL | priority [MAX_NUMOFBOX]
| priority flag
int | root_bin
| root-bin
int | max_depth
| max-depth
OPJ_BOOL | metadata_only
| metadata-only request
image_return_t | return_type
| image return type
int | len
| maximum response length

## Detailed Description

Query parameters.

## Field Documentation

## ◆ a

OPJ_BOOL query_param::a[MAX_NUMOFBOX]

Referenced by get_initquery(), parse_req_box_prop(), and print_queryparam().

## ◆ box_type

char query_param::box_type[MAX_NUMOFBOX][4]

interested box-types

Referenced by enqueue_metabins(), gene_JPIPstream(), get_initquery(), parse_query(), parse_req_box_prop(), and print_queryparam().

## ◆ cclose

char* query_param::cclose

list of closing channel identifiers, separated by '\0'

Referenced by close_channel(), get_initquery(), parse_cclose(), and print_queryparam().

## ◆ cid

char* query_param::cid

channel identifier

Referenced by associate_channel(), get_initquery(), identify_target(), parse_query(), and print_queryparam().

## ◆ cnew

cnew_transport_t query_param::cnew

transport name if there is new channel request, else non

Referenced by associate_channel(), gene_channel(), get_initquery(), parse_query(), and print_queryparam().

## ◆ comps

OPJ_BOOL* query_param::comps

components (dynamic array) for jpp-stream, null means all components

Referenced by enqueue_imagedata(), get_initquery(), parse_comps(), and print_queryparam().

## ◆ fx

int query_param::fx

Referenced by enqueue_imagedata(), gene_JPIPstream(), get_initquery(), parse_query(), and print_queryparam().

## ◆ fy

int query_param::fy

frame size (fx,fy)

Referenced by enqueue_imagedata(), gene_JPIPstream(), get_initquery(), parse_query(), and print_queryparam().

## ◆ g

OPJ_BOOL query_param::g[MAX_NUMOFBOX]

Referenced by get_initquery(), parse_req_box_prop(), and print_queryparam().

## ◆ lastcomp

int query_param::lastcomp

last component number

Referenced by enqueue_imagedata(), get_initquery(), parse_comps(), and print_queryparam().

## ◆ layers

int query_param::layers

quality layers

Referenced by enqueue_imagedata(), gene_JPIPstream(), get_initquery(), parse_query(), and print_queryparam().

## ◆ len

int query_param::len

maximum response length

Referenced by enqueue_imagedata(), gene_JPIPstream(), get_initquery(), parse_query(), and print_queryparam().

## ◆ limit

int query_param::limit[MAX_NUMOFBOX]

limit value, -1: skeleton request "r", 0: entire contents

Referenced by get_initquery(), parse_req_box_prop(), and print_queryparam().

## ◆ max_depth

int query_param::max_depth

max-depth

Referenced by get_initquery(), parse_metareq(), and print_queryparam().

## ◆ metadata_only

OPJ_BOOL query_param::metadata_only

metadata-only request

Referenced by gene_JPIPstream(), get_initquery(), parse_metareq(), and print_queryparam().

## ◆ numOfcclose

int query_param::numOfcclose

number of closing channels

Referenced by close_channel(), get_initquery(), parse_cclose(), and print_queryparam().

## ◆ priority

OPJ_BOOL query_param::priority[MAX_NUMOFBOX]

priority flag

Referenced by get_initquery(), parse_req_box_prop(), and print_queryparam().

## ◆ return_type

image_return_t query_param::return_type

image return type

Referenced by gene_JPIPstream(), get_initquery(), open_channel(), parse_query(), and print_queryparam().

## ◆ rh

int query_param::rh

roi region

Referenced by enqueue_imagedata(), get_initquery(), parse_query(), and print_queryparam().

## ◆ root_bin

int query_param::root_bin

root-bin

Referenced by get_initquery(), parse_metareq(), and print_queryparam().

## ◆ rw

int query_param::rw

Referenced by enqueue_imagedata(), get_initquery(), parse_query(), and print_queryparam().

## ◆ rx

int query_param::rx

Referenced by enqueue_imagedata(), get_initquery(), parse_query(), and print_queryparam().

## ◆ ry

int query_param::ry

Referenced by enqueue_imagedata(), get_initquery(), parse_query(), and print_queryparam().

## ◆ s

OPJ_BOOL query_param::s[MAX_NUMOFBOX]

Referenced by get_initquery(), parse_req_box_prop(), and print_queryparam().

## ◆ target

char* query_param::target

target name

Referenced by get_initquery(), identify_target(), parse_query(), and print_queryparam().

## ◆ tid

char* query_param::tid

target identifier

Referenced by get_initquery(), identify_target(), parse_query(), and print_queryparam().

## ◆ w

OPJ_BOOL query_param::w[MAX_NUMOFBOX]

Metadata request qualifier flags.

Referenced by get_initquery(), parse_req_box_prop(), and print_queryparam().

The documentation for this struct was generated from the following file:

- query_parser.h